Compare commits

...
Author SHA1 Message Date
Carlos Anguita e822b0744e Merge pull request #1804 from wazuh/merge-4.12.2-into-4.13.0 2025-05-08 10:22:11 +02:00
Enrique Araque c6284f5b2d Merge branch '4.12.2' into merge-4.12.2-into-4.13.0 2025-05-08 10:19:01 +02:00
Carlos Anguita 212bc7d346 Merge pull request #1803 from wazuh/merge-4.12.1-into-4.12.2 2025-05-08 10:13:51 +02:00
Enrique Araque f0c945b3bd Merge branch '4.12.1' into merge-4.12.1-into-4.12.2 2025-05-08 10:12:01 +02:00
Carlos Anguita c6bc6cad0b Merge pull request #1802 from wazuh/merge-4.12.0-into-4.12.1 2025-05-08 10:08:54 +02:00
Enrique Araque 4eea59da8b Merge branch '4.12.0' into merge-4.12.0-into-4.12.1 2025-05-08 10:04:07 +02:00
Gonzalo Acuña 2cf6253985 Merge pull request #1798 from wazuh/enhancement/1797-bump-4.12.2-version
Bump 4.12.2 version
2025-05-06 14:01:13 -03:00
vcerenu 81a41f93ed Bump 4.12.2 version 2025-05-06 13:56:32 -03:00
Carlos Anguita 0f15acb783 Merge pull request #1789 from wazuh/enhancement/1787-revert-image-tag-for-4.12.0-rc1 2025-04-30 11:32:26 +02:00
Enrique Araque 118c7805e3 Revert docker image tag for 4.12.0-rc1 2025-04-30 11:30:05 +02:00
Carlos Anguita 7245dfb0ef Merge pull request #1788 from wazuh/enhancement/1787-bump-revision-for-4.12.0-rc1 2025-04-30 11:26:28 +02:00
Enrique Araque b82b0efdd8 Bump revision for 4.12.0-rc1 and add a fogotten changelog entry 2025-04-30 11:24:31 +02:00
Carlos Bordon e9851e5aa7 Merge pull request #1781 from wazuh/change/1778-repository-bumper-script-development
Added repository_bumper script
2025-04-22 15:47:46 -03:00
c-bordon 4b04578cf5 Updated major.minor replacement 2025-04-22 12:08:13 -03:00
Carlos Bordon 8e78fdfeec Merge pull request #1785 from wazuh/enhancement/revert-bump-4.12.0-beta1-image-tag
Revert bump image tag 4.12.0-beta1
2025-04-16 09:23:33 -03:00
Gonzalo Acuña 3fe18c0f53 Revert bump image tag 4.12.0-beta1 2025-04-16 09:20:02 -03:00
Carlos Bordon 34de7307f6 Merge pull request #1784 from wazuh/enhancement/bump-4.12.0-beta1-image-tag
Bump image tag 4.12.0-beta1
2025-04-16 09:16:19 -03:00
Gonzalo Acuña cea3caee44 Bump image tag 4.12.0-beta1 2025-04-16 09:13:27 -03:00
Carlos Bordon 1e28240ceb Merge pull request #1783 from wazuh/enhancement/bump-4.12.0-beta1
Bump 4.12.0 to beta1
2025-04-16 09:11:06 -03:00
Gonzalo Acuña c17b22c13b Bump 4.12.0 to beta1 2025-04-16 09:05:42 -03:00
c-bordon 2e22add312 Removed README exception 2025-04-15 16:37:41 -03:00
c-bordon e161490f4d Updated changelog 2025-04-15 14:37:50 -03:00
c-bordon 1445bdc420 Removed mmp version replacement 2025-04-15 14:21:49 -03:00
c-bordon 9b2f667a8e Added repository_bumper script 2025-04-15 12:05:28 -03:00
Carlos Bordon b43c9ddc96 Merge pull request #1777 from wazuh/merge-4.12.1-into-4.13.0
Merge 4.12.1 into 4.13.0
2025-04-11 08:45:11 -03:00
Enrique Araque 49b45fb342 Merge branch '4.10.2' into merge-4.10.2-into-4.11.0 2025-04-11 13:42:03 +02:00
Gonzalo Acuña 5d272abb51 Merge pull request #1775 from wazuh/newversion/1774-bump-to-4.12.1
Bump to 4.12.1
2025-04-09 12:38:07 -03:00
Jesus Garcia a371c28a05 Bump to 4.12.1 2025-04-09 10:24:24 -05:00
Gonzalo Acuña 1da9ce981c Merge pull request #1772 from wazuh/enhancement/1770-revert-stage
Revert tags
2025-04-03 12:49:58 -03:00
Gonzalo Acuña 938a3df846 Revert tags 2025-04-03 12:48:17 -03:00
Gonzalo Acuña 3672c99a31 Merge pull request #1771 from wazuh/enhancement/1770-bump-stage
Bump stage and tags
2025-04-03 12:45:48 -03:00
Gonzalo Acuña 4a9f83ddee Bump stage and tags 2025-04-03 12:43:32 -03:00
Carlos Bordon dfb3289bd8 Merge pull request #1769 from wazuh/merge-4.12.0-into-4.13.0
Merge 4.12.0 into 4.13.0
2025-04-01 11:55:36 -03:00
Carlos Bordon 65b0d659d0 Merge pull request #1768 from wazuh/merge-4.11.2-into-4.12.0
Merge 4.11.2 into 4.12.0
2025-04-01 11:48:00 -03:00
Gonzalo Acuña 34b3c00596 Conflicts resolution 2025-04-01 11:46:57 -03:00
Gonzalo Acuña c1fd8e2380 Merge branch '4.12.0' into merge-4.11.2-into-4.12.0 2025-04-01 11:38:17 -03:00
Gonzalo Acuña cf972d3858 Merge pull request #1761 from wazuh/idr/2137-review-wrong-references-in-devops-workflows
Remove default docker reference version from workflow
2025-03-26 16:44:02 -03:00
Gonzalo Acuña d306f942f7 Merge pull request #1764 from wazuh/1762-revert-image-tag
Revert image tag
2025-03-26 14:16:04 -03:00
Jesus Garcia abde776e1b Revert image tag 2025-03-26 12:11:45 -05:00
Gonzalo Acuña b6f628f3c1 Merge pull request #1763 from wazuh/bump-to-4.11.2-rc2-version
Update images to version 4.11.2-rc2 in multi-node and single-node
2025-03-26 13:57:56 -03:00
Jesus Garcia 06a5ba5297 Bump to 4.11.2-rc2 2025-03-26 10:59:51 -05:00
Jesus Garcia 51d3d7a946 Remove default docker reference version from workflow 2025-03-25 16:21:59 -05:00
Carlos Anguita 85992aea95 Merge pull request #1760 from wazuh/enhancement/1758-revert-tag
Revert image tag
2025-03-20 09:28:02 +01:00
vcerenu 5057d0f083 Revert image tag 2025-03-20 05:24:28 -03:00
Carlos Anguita 562eb60e0f Merge pull request #1759 from wazuh/enhancement/1758-bump-revision
Bump revision
2025-03-20 09:12:55 +01:00
vcerenu 58d6ec2953 Change image tag 2025-03-20 05:10:18 -03:00
vcerenu 300c1bbcdd Bump revision 2025-03-20 05:05:02 -03:00
Gonzalo Acuña e1bf0a0dc5 Merge pull request #1757 from wazuh/enhancement/1735-remove-stable-branch
Remove 'stable' branch ocurrencies
2025-03-18 14:28:55 -03:00
Jesus Garcia c1565a5553 Remove 'stable' branch ocurrencies 2025-03-18 11:16:52 -05:00
Gonzalo Acuña 1fe7647b47 Merge pull request #1756 from wazuh/enhancement/1755-bump-4.11.2-version
Bump 4.11.2 version
2025-03-17 13:51:59 -03:00
vcerenu bd5e95a2b8 Bump 4.11.2 version 2025-03-17 13:12:33 -03:00
Gonzalo Acuña 75fb9a4e4c Merge pull request #1754 from wazuh/merge-4.12.0-into-4.13.0
Merge 4.12.0 into 4.13.0
2025-03-12 14:16:07 -03:00
Gonzalo Acuña f002f7e7b0 Merge pull request #1753 from wazuh/merge-4.11.1-into-4.12.0
Merge 4.11.1 into 4.12.0
2025-03-12 14:09:45 -03:00
vcerenu 72c0b196d0 Resolving merge conflicts 2025-03-12 14:04:58 -03:00
Gonzalo Acuña 4aaf0a1b8c Merge pull request #1750 from wazuh/enhancement/5142-change-wazuhkeystore-use
Modify wazuh-keystore  use
2025-03-12 09:31:23 -03:00
vcerenu 1186c6f9d6 Modify wazuh-keystore use 2025-03-11 15:31:31 -03:00
vcerenu 87a3ccd3ee Add changelog 2025-03-11 15:08:41 -03:00
vcerenu 7f08f4cbff Modify wazuh-keystore use 2025-03-11 15:07:14 -03:00
Gonzalo Acuña 607b01351e Merge pull request #1749 from wazuh/enhancement/1748-bump-4130-version
Bump 4.13.0 version
2025-03-10 14:03:15 -03:00
vcerenu b2de3600ce Bump 4.13.0 version 2025-03-10 13:44:19 -03:00
Carlos Anguita ce53f0f05e Merge pull request #1747 from wazuh/enhancement/1745-revert-image-tag
Revert docker image for 4.11.1-rc2
2025-03-10 10:27:01 +01:00
Enrique Araque aa69278c44 Revert docker image for 4.11.1-rc2 2025-03-10 10:25:12 +01:00
Carlos Anguita 546f3cef9b Merge pull request #1746 from wazuh/enhancement/1745-bump-revision-and-change-docker-image-for-4.11.1-rc2
Bump revision and change docker image for 4.11.1-rc2
2025-03-10 10:22:23 +01:00
Enrique Araque 754c4b331e Bum revision and change docker image for 4.11.1-rc2 2025-03-10 10:16:10 +01:00
Carlos Anguita 4433476038 Merge pull request #1743 from wazuh/merge-4.11.1-into-4.12.0
Merge 4.11.1 into 4.12.0
2025-03-07 12:22:20 +01:00
Enrique Araque e60c07a18f Merge 4.11.1 into 4.12.0 2025-03-07 12:18:07 +01:00
Carlos Bordon fe0f76bd7b Merge pull request #1738 from wazuh/enhancement/1736-revert-bump-4.11.1-rc1
Revert image tag
2025-02-26 16:53:24 -03:00
Jesus Garcia e4fec103ca Revert image tag 2025-02-26 14:50:55 -05:00
Carlos Bordon 28acd68e6e Merge pull request #1737 from wazuh/enhancement/1736-bump-4.11.1-rc1
Bump 4.11.1-rc1 revision
2025-02-26 16:43:40 -03:00
Jesus Garcia fc8a8d6869 Bump 4.11.1-rc1 revision 2025-02-26 14:40:25 -05:00
Carlos Anguita 288630a722 Merge pull request #1734 from wazuh/enhancement/1731-merge-4.11.1-into-4.12.0 2025-02-21 12:37:51 +01:00
Enrique Araque 5c1d43c702 merge 4.11.1 into 4.12.0 2025-02-21 12:33:49 +01:00
Carlos Anguita ff7c511f3b Merge pull request #1733 from wazuh/enhancement/1731-merge-4.11.0-into-4.11.1 2025-02-21 12:25:55 +01:00
Enrique Araque 5f689b8802 merge 4.11.0 into 4.11.1 2025-02-21 12:22:00 +01:00
Carlos Bordon f73a819ee4 Merge pull request #1728 from wazuh/enhancement/1722-change-VERSION-file-format
Change VERSION file format
2025-02-17 14:55:45 -03:00
vcerenu ebf8379373 Delete VERSION file reference 2025-02-17 14:44:43 -03:00
vcerenu d024c37fc5 Change VERSION file format 2025-02-17 14:13:58 -03:00
vcerenu 87f3dccb0f Add newline 2025-02-17 13:36:46 -03:00
vcerenu 29e679363d Add changelog 2025-02-17 13:35:49 -03:00
vcerenu 6195484a82 Change VERSION file format 2025-02-17 13:23:35 -03:00
Carlos Bordon 3d9981d9fa Merge pull request #1725 from wazuh/enhancement/1723-revert-image-tag
Revert docker image for 4.11.0-rc1
2025-02-14 08:51:25 -03:00
Enrique Araque 06821f172f Revert docker image for 4.11.0-rc1 2025-02-14 12:48:50 +01:00
Carlos Bordon 660e472b7c Merge pull request #1724 from wazuh/enhancement/1723-bump-revision-to-41103
Bump revision and change image tag
2025-02-14 08:44:46 -03:00
Enrique Araque af33c2dd7c Fix revision 2025-02-14 12:40:55 +01:00
Enrique Araque 331fb1969e Bump revision and change image tag 2025-02-14 12:39:18 +01:00
Carlos Bordon b88d852b9f Merge pull request #1718 from wazuh/enhancement/1716-revert-tags
Revert image tags for beta1
2025-02-06 13:55:19 -03:00
fcaffieri 281cde7292 Revert image tags for beta1 2025-02-06 13:53:46 -03:00
Carlos Bordon c9bbf912b0 Merge pull request #1717 from wazuh/enhancement/1716-bump-revision
Revision bump
2025-02-06 13:47:06 -03:00
fcaffieri 7a189605eb Image tags changed for beta1 2025-02-06 13:36:38 -03:00
fcaffieri ae32e0111d Revision bump 2025-02-06 13:29:27 -03:00
fcaffieri e29dd1195b Revision bump 2025-02-06 13:27:42 -03:00
Carlos Bordon dafe93039f Merge pull request #1715 from wazuh/enhancement/1714-support-new-version-4.11.1
Support new Wazuh version 4.11.1
2025-02-06 09:16:02 -03:00
Carlos Anguita López 0adf702f70 support new wazuh version 4.11.1 2025-02-06 13:08:58 +01:00
Carlos Bordon 7be457e3ff Merge pull request #1711 from wazuh/merge-4.11.0-into-4.12.0
Merge 4.11.0 into 4.12.0
2025-02-04 09:33:31 -03:00
vcerenu 6e432a133d Resolving merge conflicts 2025-02-04 09:31:51 -03:00
Carlos Bordon f49bba385c Merge pull request #1710 from wazuh/merge-4.10.2-into-4.11.0
Merge 4.10.2 into 4.11.0
2025-02-04 09:21:48 -03:00
vcerenu a7bb241f8a Resolving merge conflicts 2025-02-04 09:15:11 -03:00
vcerenu 6e0311a330 Resolving merge conflicts 2025-02-04 09:14:33 -03:00
vcerenu bc6ab77773 Resolving merge conflicts 2025-02-04 08:57:45 -03:00
vcerenu e4f782f55d Resolving merge conflicts 2025-02-04 08:47:46 -03:00
Gonzalo Acuña b29bd6b936 Merge pull request #1706 from wazuh/enhancement/1703-revert-tags
Revert image tags for alpha1
2025-01-24 09:41:01 -03:00
Gonzalo Acuña 2bed6e2d95 Revert image tags for alpha1 2025-01-24 09:38:55 -03:00
Gonzalo Acuña 73253898a2 Merge pull request #1705 from wazuh/enhancement/1703-image-tags
Image tags changed for alpha1
2025-01-24 09:26:54 -03:00
Gonzalo Acuña 2b30318a08 Image tags changed for alpha1 2025-01-24 09:25:01 -03:00
Gonzalo Acuña 49fb35633c Merge pull request #1704 from wazuh/enhancement/1703-bump-revision
Revision bump
2025-01-24 09:23:05 -03:00
Gonzalo Acuña 052bce7ae1 Revision bump 2025-01-24 09:20:23 -03:00
Gonzalo Acuña 5fb9a0b6b1 Merge pull request #1698 from wazuh/enhancement/1697-bump-4.10.2-version
Bump 4.10.2 version
2025-01-17 15:40:32 -03:00
vcerenu 34d25df8ad bump 4.10.2 version 2025-01-17 15:29:56 -03:00
Enrique Araque c4bef8df3e Merge pull request #1696 from wazuh/merge-4.11.0-into-4.12.0 2025-01-17 11:39:08 +01:00
Enrique Araque 31440d4a54 Merge branch '4.11.0' into merge-4.11.0-into-4.12.0 2025-01-17 11:35:45 +01:00
Enrique Araque 06e259714c Merge pull request #1695 from wazuh/merge-4.10.2-into-4.11.0 2025-01-17 11:34:22 +01:00
Enrique Araque d2bb16a493 Merge 4.10.2 into 4.11.0 2025-01-17 11:27:24 +01:00
Enrique Araque a0c1fd8bf5 Merge pull request #1681 from wazuh/enhancement/1678-revert-docker-image 2025-01-15 11:15:12 +01:00
Enrique Araque c548f3e096 Revert docker image for 4.10.1-rc1 2025-01-15 11:11:51 +01:00
Carlos Anguita 69b4169fd5 Merge pull request #1680 from wazuh/enhancement/1678-change-docker-image 2025-01-15 11:08:32 +01:00
Enrique Araque 1ee604e4b1 Change docker image for 4.10.1-rc1 2025-01-15 11:05:59 +01:00
Carlos Anguita 5b3f46142e Merge pull request #1679 from wazuh/enhancement/1678-bump-revision-to-41011 2025-01-15 11:01:47 +01:00
Enrique Araque 845f7e59ec Bump revision for 4.10.1-rc1 2025-01-15 10:53:58 +01:00
Gonzalo Acuña 633c50bce6 Merge pull request #1674 from wazuh/bug/1673-add-permanent_data_excps
Add exceptions into PERMANENT_DATA script
2025-01-13 11:41:53 -03:00
vcerenu 347187c411 Add exceptions into PERMANENT_DATA script 2025-01-10 16:02:45 -03:00
Carlos Anguita af11b8cbbb Merge pull request #1672 from wazuh/merge-4.11.0-into-4.12.0 2025-01-10 11:56:57 +01:00
Enrique Araque 77ef56ada7 Update 4.11.0 version to 4.12.0 2025-01-10 11:53:10 +01:00
Enrique Araque 081436be42 Merge 4.11.0 into 4.12.0 2025-01-10 11:50:32 +01:00
Enrique Araque a7cc8ef16e Merge pull request #1671 from wazuh/merge-4.10.1-into-4.11.0 2025-01-10 11:37:46 +01:00
Enrique Araque 79ead0cf55 Merge 4.10.1 into 4.11.0 2025-01-10 11:29:23 +01:00
Carlos Anguita 7b415dc700 Merge pull request #1670 from wazuh/merge-4.10.0-into-4.10.1 2025-01-10 11:23:43 +01:00
Enrique Araque f2a5901fd6 Merge 4.10.0 into 4.10.1 2025-01-10 11:18:47 +01:00
Carlos Anguita 2f3f00fc51 Merge pull request #1667 from wazuh/enhancement/1664-revert-docker-image 2025-01-08 10:21:10 +01:00
Enrique Araque 98675f00fc Change docker image for 4.10.0-rc3 2025-01-08 10:16:58 +01:00
Carlos Anguita 26e94102ce Merge pull request #1666 from wazuh/enhancement/1664-change-docker-image 2025-01-08 10:13:02 +01:00
Enrique Araque fc896872e2 Change docker image for 4.10.0-rc3 2025-01-08 10:10:42 +01:00
Carlos Anguita e17302f280 Merge pull request #1665 from wazuh/enhancement/1664-bump-revision-41008 2025-01-08 10:07:45 +01:00
Enrique Araque 010642113b Bump revision for 4.10.0-rc3 2025-01-08 10:04:52 +01:00
Gonzalo Acuña 90f1d446c1 Merge pull request #1663 from wazuh/bug/1642-free-disk-step
Change the cleaning disk step
2024-12-23 08:51:47 -03:00
vcerenu 23848dc8bf Add changelog 2024-12-23 08:44:15 -03:00
vcerenu 9e6defa9d1 Change the cleaning disk step 2024-12-23 08:06:55 -03:00
Gonzalo Acuña 6a3b470f3c Merge pull request #1662 from wazuh/change/1644-change-workflow-so-version
Change Ubuntu version used in workflows
2024-12-20 16:18:36 -03:00
vcerenu 91295a4b39 Change Ubuntu version used in workflows 2024-12-20 13:13:02 -03:00
Gonzalo Acuña 8885425b7f Merge pull request #1661 from wazuh/enhancement/1657-bump-4.12.0-version
Bump 4.12.0 version
2024-12-20 10:50:02 -03:00
Gonzalo Acuña 2060e2103b Merge pull request #1660 from wazuh/enhancement/1656-bump-4.11.0-version
Bump 4.11.0 version
2024-12-20 10:45:40 -03:00
vcerenu 39768a397a Bump 4.12.0 version 2024-12-20 10:45:08 -03:00
vcerenu 66a1533425 Bump 4.11.0 version 2024-12-20 10:40:22 -03:00
Gonzalo Acuña 1f7eae1247 Merge pull request #1659 from wazuh/enhancement/1658-bump-4.10.1-version
Bump 4.10.1 version
2024-12-20 10:19:26 -03:00
vcerenu 2c2388ce4a Bump 4.10.1 version 2024-12-20 10:14:29 -03:00
Gonzalo Acuña be82d2c41d Merge pull request #1651 from wazuh/enhancement/1650-bump-4.10.3-version
Bump 4.10.3 version
2024-12-18 14:46:53 -03:00
vcerenu ff54368593 Bump new version 2024-12-18 13:58:58 -03:00
Carlos Anguita 7b03b99022 Merge pull request #1649 from wazuh/enhancement/1646-revert-docker-image 2024-12-18 10:52:16 +01:00
Enrique Araque 8a925f010f Revert docker image for 4.10.0-rc2 2024-12-18 10:47:26 +01:00
Carlos Anguita 8468687b0c Merge pull request #1648 from wazuh/enhancement/1646-change-docker-image 2024-12-18 10:45:58 +01:00
Enrique Araque da64bb47d5 Change docker image for 4.10.0-rc2 2024-12-18 10:44:05 +01:00
Carlos Anguita f3b4631bb0 Merge pull request #1647 from wazuh/enhancement/1646-bump-revision-to-41007 2024-12-18 10:41:38 +01:00
Enrique Araque 2c6704652c Bump revision for 4.10.0-rc2 2024-12-18 10:38:59 +01:00
Gonzalo Acuña 7cfda0550d Merge pull request #1641 from wazuh/change/1640.artifact-actions-version
Change version for artifact manager actions
2024-12-16 15:30:34 -03:00
vcerenu 77e548485a Change version for artifact manager actions 2024-12-13 14:08:04 -03:00
Gonzalo Acuña 79ad691772 Merge pull request #1639 from wazuh/merge-4.10.1-into-4.10.2
Merge 4.10.1 into 4.10.2
2024-12-13 09:35:02 -03:00
Enrique Araque 0980cf0257 Merge branch '4.10.1' into merge-4.10.1-into-4.10.2 2024-12-13 13:31:28 +01:00
Gonzalo Acuña d9a2ebf090 Merge pull request #1638 from wazuh/merge-4.10.0-into-4.10.1
Merge 4.10.0 into 4.10.1
2024-12-13 09:25:38 -03:00
Enrique Araque 240f22b19c Merge 4.10.0 into 4.10.1 2024-12-13 13:19:45 +01:00
Carlos Anguita 8022d3a7fc Merge pull request #1636 from wazuh/enhancement/1633-revert-docker-image
Revert docker image for 4.10.0-rc1
2024-12-03 11:00:01 +01:00
Enrique Araque 12fab33f52 Revert docker image for 4.10.0-rc1 2024-12-03 10:58:17 +01:00
Carlos Anguita 71dac1f51b Merge pull request #1635 from wazuh/enhancement/1633-change-docker-image
Change docker image for 4.10.0-rc1
2024-12-03 10:55:50 +01:00
Enrique Araque d31228306c Change docker image for 4.10.0-rc1 2024-12-03 10:53:48 +01:00
Carlos Anguita d37474e7c9 Merge pull request #1634 from wazuh/enhancement/1633-bump-revision-41006
Bump revision for 4.10.0-rc1
2024-12-03 10:50:00 +01:00
Enrique Araque 3b91ae3668 Bump revision for 4.10.0-rc1 2024-12-03 10:48:18 +01:00
Carlos Anguita edf7aef3cc Merge pull request #1628 from wazuh/enhancement/1625-revert-docker-image
Revert docker image for 4.10.0-beta1
2024-11-22 10:09:02 +01:00
Enrique Araque 25e21e71da Revert docker image for 4.10.0-beta1 2024-11-22 10:06:44 +01:00
Carlos Anguita 475d29db39 Merge pull request #1627 from wazuh/enhancement/1625-change-docker-image
Change docker image for 4.10.0-beta1
2024-11-22 09:59:02 +01:00
Enrique Araque bc102ace7f Change docker image for 4.10.0-beta1 2024-11-22 09:56:53 +01:00
Carlos Anguita 08de09cd08 Merge pull request #1626 from wazuh/enhancement/1625-bump-revision-to-41005
Bump revision for 4.10.0-beta1
2024-11-22 09:54:32 +01:00
Enrique Araque 15995ac5db Bump revision for 4.10.0-beta1 2024-11-22 09:52:42 +01:00
Gonzalo Acuña 63f965d0fd Merge pull request #1619 from wazuh/bug/1618-unset-cap
Add unset capabilities
2024-11-13 09:52:07 -03:00
vcerenu bfa6dfb3b3 Add Changelog 2024-11-13 08:11:40 -03:00
vcerenu 521711bf63 Add unset capabilities 2024-11-12 12:15:02 -03:00
Carlos Anguita 347132b589 Merge pull request #1617 from wazuh/enhancement/1614-revert-docker-image-tag
Revert docker image tag for 4.10.0-alpha3
2024-11-08 12:51:27 +01:00
Enrique Araque 53275bebb9 Revert docker image tag for 4.10.0-alpha3 2024-11-08 12:48:46 +01:00
Carlos Anguita 7ca2862ad3 Merge pull request #1616 from wazuh/enhancement/1614-change-docker-image-tag
Change docker image tag to 4.10.0-alpha3
2024-11-08 12:44:11 +01:00
Enrique Araque 5a13dd99a7 Change docker image tag to 4.10.0-alpha3 2024-11-08 12:41:10 +01:00
Gonzalo Acuña a9f2263da8 Merge pull request #1615 from wazuh/enhancement/1614-bump-revision-to-41004
Bump revision to 41004 and update missing changelog entries
2024-11-08 08:36:34 -03:00
Enrique Araque f6928b62e6 Bump revision to 41004 and update missing changelog entries 2024-11-08 12:34:30 +01:00
Gonzalo Acuña a13406a029 Merge pull request #1603 from wazuh/bug/1601-permanent_data
Fix permanent data scripts
2024-11-05 14:20:28 -03:00
vcerenu 22f34ccb40 Add changelog 2024-11-01 11:55:54 -03:00
vcerenu 369560f59f Fix permanent data scripts 2024-11-01 11:45:39 -03:00
26 changed files with 586 additions and 126 deletions
+3 -3
View File
@@ -1,6 +1,6 @@
WAZUH_VERSION=4.10.2
WAZUH_IMAGE_VERSION=4.10.2
WAZUH_VERSION=4.13.0
WAZUH_IMAGE_VERSION=4.13.0
WAZUH_TAG_REVISION=1
FILEBEAT_TEMPLATE_BRANCH=4.10.2
FILEBEAT_TEMPLATE_BRANCH=4.13.0
WAZUH_FILEBEAT_MODULE=wazuh-filebeat-0.4.tar.gz
WAZUH_UI_REVISION=1
+1 -1
View File
@@ -56,7 +56,7 @@ package:
wazuh-manager:
installed: true
versions:
- 4.10.2-1
- 4.13.0
port:
tcp:1514:
listening: true
+245
View File
@@ -0,0 +1,245 @@
name: "Free Disk Space (Ubuntu)"
description: "A configurable GitHub Action to free up disk space on an Ubuntu GitHub Actions runner."
# Thanks @jlumbroso for the action code https://github.com/jlumbroso/free-disk-space/
# See: https://docs.github.com/en/actions/creating-actions/metadata-syntax-for-github-actions#branding
inputs:
android:
description: "Remove Android runtime"
required: false
default: "true"
dotnet:
description: "Remove .NET runtime"
required: false
default: "true"
haskell:
description: "Remove Haskell runtime"
required: false
default: "true"
# option inspired by:
# https://github.com/apache/flink/blob/master/tools/azure-pipelines/free_disk_space.sh
large-packages:
description: "Remove large packages"
required: false
default: "true"
docker-images:
description: "Remove Docker images"
required: false
default: "true"
# option inspired by:
# https://github.com/actions/virtual-environments/issues/2875#issuecomment-1163392159
tool-cache:
description: "Remove image tool cache"
required: false
default: "false"
swap-storage:
description: "Remove swap storage"
required: false
default: "true"
runs:
using: "composite"
steps:
- shell: bash
run: |
# ======
# MACROS
# ======
# macro to print a line of equals
# (silly but works)
printSeparationLine() {
str=${1:=}
num=${2:-80}
counter=1
output=""
while [ $counter -le $num ]
do
output="${output}${str}"
counter=$((counter+1))
done
echo "${output}"
}
# macro to compute available space
# REF: https://unix.stackexchange.com/a/42049/60849
# REF: https://stackoverflow.com/a/450821/408734
getAvailableSpace() { echo $(df -a $1 | awk 'NR > 1 {avail+=$4} END {print avail}'); }
# macro to make Kb human readable (assume the input is Kb)
# REF: https://unix.stackexchange.com/a/44087/60849
formatByteCount() { echo $(numfmt --to=iec-i --suffix=B --padding=7 $1'000'); }
# macro to output saved space
printSavedSpace() {
saved=${1}
title=${2:-}
echo ""
printSeparationLine '*' 80
if [ ! -z "${title}" ]; then
echo "=> ${title}: Saved $(formatByteCount $saved)"
else
echo "=> Saved $(formatByteCount $saved)"
fi
printSeparationLine '*' 80
echo ""
}
# macro to print output of dh with caption
printDH() {
caption=${1:-}
printSeparationLine '=' 80
echo "${caption}"
echo ""
echo "$ dh -h /"
echo ""
df -h /
echo "$ dh -a /"
echo ""
df -a /
echo "$ dh -a"
echo ""
df -a
printSeparationLine '=' 80
}
# ======
# SCRIPT
# ======
# Display initial disk space stats
AVAILABLE_INITIAL=$(getAvailableSpace)
AVAILABLE_ROOT_INITIAL=$(getAvailableSpace '/')
printDH "BEFORE CLEAN-UP:"
echo ""
# Option: Remove Android library
if [[ ${{ inputs.android }} == 'true' ]]; then
BEFORE=$(getAvailableSpace)
sudo rm -rf /usr/local/lib/android || true
AFTER=$(getAvailableSpace)
SAVED=$((AFTER-BEFORE))
printSavedSpace $SAVED "Android library"
fi
# Option: Remove .NET runtime
if [[ ${{ inputs.dotnet }} == 'true' ]]; then
BEFORE=$(getAvailableSpace)
# https://github.community/t/bigger-github-hosted-runners-disk-space/17267/11
sudo rm -rf /usr/share/dotnet || true
AFTER=$(getAvailableSpace)
SAVED=$((AFTER-BEFORE))
printSavedSpace $SAVED ".NET runtime"
fi
# Option: Remove Haskell runtime
if [[ ${{ inputs.haskell }} == 'true' ]]; then
BEFORE=$(getAvailableSpace)
sudo rm -rf /opt/ghc || true
sudo rm -rf /usr/local/.ghcup || true
AFTER=$(getAvailableSpace)
SAVED=$((AFTER-BEFORE))
printSavedSpace $SAVED "Haskell runtime"
fi
# Option: Remove large packages
# REF: https://github.com/apache/flink/blob/master/tools/azure-pipelines/free_disk_space.sh
if [[ ${{ inputs.large-packages }} == 'true' ]]; then
BEFORE=$(getAvailableSpace)
sudo apt-get remove -y '^aspnetcore-.*' || echo "::warning::The command [sudo apt-get remove -y '^aspnetcore-.*'] failed to complete successfully. Proceeding..."
sudo apt-get remove -y '^dotnet-.*' --fix-missing || echo "::warning::The command [sudo apt-get remove -y '^dotnet-.*' --fix-missing] failed to complete successfully. Proceeding..."
sudo apt-get remove -y '^llvm-.*' --fix-missing || echo "::warning::The command [sudo apt-get remove -y '^llvm-.*' --fix-missing] failed to complete successfully. Proceeding..."
sudo apt-get remove -y 'php.*' --fix-missing || echo "::warning::The command [sudo apt-get remove -y 'php.*' --fix-missing] failed to complete successfully. Proceeding..."
sudo apt-get remove -y '^mongodb-.*' --fix-missing || echo "::warning::The command [sudo apt-get remove -y '^mongodb-.*' --fix-missing] failed to complete successfully. Proceeding..."
sudo apt-get remove -y '^mysql-.*' --fix-missing || echo "::warning::The command [sudo apt-get remove -y '^mysql-.*' --fix-missing] failed to complete successfully. Proceeding..."
sudo apt-get remove -y azure-cli google-chrome-stable firefox powershell mono-devel libgl1-mesa-dri --fix-missing || echo "::warning::The command [sudo apt-get remove -y azure-cli google-chrome-stable firefox powershell mono-devel libgl1-mesa-dri --fix-missing] failed to complete successfully. Proceeding..."
sudo apt-get remove -y google-cloud-sdk --fix-missing || echo "::debug::The command [sudo apt-get remove -y google-cloud-sdk --fix-missing] failed to complete successfully. Proceeding..."
sudo apt-get remove -y google-cloud-cli --fix-missing || echo "::debug::The command [sudo apt-get remove -y google-cloud-cli --fix-missing] failed to complete successfully. Proceeding..."
sudo apt-get autoremove -y || echo "::warning::The command [sudo apt-get autoremove -y] failed to complete successfully. Proceeding..."
sudo apt-get clean || echo "::warning::The command [sudo apt-get clean] failed to complete successfully. Proceeding..."
AFTER=$(getAvailableSpace)
SAVED=$((AFTER-BEFORE))
printSavedSpace $SAVED "Large misc. packages"
fi
# Option: Remove Docker images
if [[ ${{ inputs.docker-images }} == 'true' ]]; then
BEFORE=$(getAvailableSpace)
sudo docker image prune --all --force || true
AFTER=$(getAvailableSpace)
SAVED=$((AFTER-BEFORE))
printSavedSpace $SAVED "Docker images"
fi
# Option: Remove tool cache
# REF: https://github.com/actions/virtual-environments/issues/2875#issuecomment-1163392159
if [[ ${{ inputs.tool-cache }} == 'true' ]]; then
BEFORE=$(getAvailableSpace)
sudo rm -rf "$AGENT_TOOLSDIRECTORY" || true
AFTER=$(getAvailableSpace)
SAVED=$((AFTER-BEFORE))
printSavedSpace $SAVED "Tool cache"
fi
# Option: Remove Swap storage
if [[ ${{ inputs.swap-storage }} == 'true' ]]; then
BEFORE=$(getAvailableSpace)
sudo swapoff -a || true
sudo rm -f /mnt/swapfile || true
free -h
AFTER=$(getAvailableSpace)
SAVED=$((AFTER-BEFORE))
printSavedSpace $SAVED "Swap storage"
fi
# Output saved space statistic
AVAILABLE_END=$(getAvailableSpace)
AVAILABLE_ROOT_END=$(getAvailableSpace '/')
echo ""
printDH "AFTER CLEAN-UP:"
echo ""
echo ""
echo "/dev/root:"
printSavedSpace $((AVAILABLE_ROOT_END - AVAILABLE_ROOT_INITIAL))
echo "overall:"
printSavedSpace $((AVAILABLE_END - AVAILABLE_INITIAL))
@@ -6,13 +6,12 @@ on:
inputs:
image_tag:
description: 'Docker image tag'
default: '4.10.2'
default: '4.13.0'
required: true
docker_reference:
description: 'wazuh-docker reference'
default: 'v4.10.2'
required: true
PRODUCTS:
products:
description: 'Comma-separated list of the image names to build and push'
default: 'wazuh-manager,wazuh-dashboard,wazuh-indexer'
required: true
@@ -42,12 +41,11 @@ on:
inputs:
image_tag:
description: 'Docker image tag'
default: '4.10.0'
default: '4.13.0'
required: true
type: string
docker_reference:
description: 'wazuh-docker reference'
default: 'v4.10.0'
required: false
type: string
products:
@@ -82,7 +80,7 @@ on:
jobs:
build-and-push:
runs-on: ubuntu-latest
runs-on: ubuntu-22.04
steps:
- name: Print inputs
+13 -18
View File
@@ -4,7 +4,7 @@ on: [pull_request]
jobs:
build-docker-images:
runs-on: ubuntu-latest
runs-on: ubuntu-22.04
steps:
- name: Check out code
@@ -29,21 +29,21 @@ jobs:
docker save wazuh/wazuh-dashboard:${{env.WAZUH_IMAGE_VERSION}} -o /home/runner/work/wazuh-docker/wazuh-docker/docker-images/wazuh-dashboard.tar
- name: Temporarily save Wazuh manager Docker image
uses: actions/upload-artifact@v3
uses: actions/upload-artifact@v4
with:
name: docker-artifact-manager
path: /home/runner/work/wazuh-docker/wazuh-docker/docker-images/wazuh-manager.tar
retention-days: 1
- name: Temporarily save Wazuh indexer Docker image
uses: actions/upload-artifact@v3
uses: actions/upload-artifact@v4
with:
name: docker-artifact-indexer
path: /home/runner/work/wazuh-docker/wazuh-docker/docker-images/wazuh-indexer.tar
retention-days: 1
- name: Temporarily save Wazuh dashboard Docker image
uses: actions/upload-artifact@v3
uses: actions/upload-artifact@v4
with:
name: docker-artifact-dashboard
path: /home/runner/work/wazuh-docker/wazuh-docker/docker-images/wazuh-dashboard.tar
@@ -61,7 +61,7 @@ jobs:
GOSS_FILE: .github/.goss.yaml
check-single-node:
runs-on: ubuntu-latest
runs-on: ubuntu-22.04
needs: build-docker-images
steps:
@@ -77,17 +77,17 @@ jobs:
run: cat .env > $GITHUB_ENV
- name: Retrieve saved Wazuh indexer Docker image
uses: actions/download-artifact@v3
uses: actions/download-artifact@v4
with:
name: docker-artifact-indexer
- name: Retrieve saved Wazuh manager Docker image
uses: actions/download-artifact@v3
uses: actions/download-artifact@v4
with:
name: docker-artifact-manager
- name: Retrieve saved Wazuh dashboard Docker image
uses: actions/download-artifact@v3
uses: actions/download-artifact@v4
with:
name: docker-artifact-dashboard
@@ -189,7 +189,7 @@ jobs:
run: ./.github/single-node-log-check.sh
check-multi-node:
runs-on: ubuntu-latest
runs-on: ubuntu-22.04
needs: build-docker-images
steps:
@@ -205,25 +205,20 @@ jobs:
run: cat .env > $GITHUB_ENV
- name: free disk space
run: |
sudo swapoff -a
sudo rm -f /swapfile
sudo apt clean
docker rmi $(docker image ls -aq)
df -h
uses: ./.github/free-disk-space
- name: Retrieve saved Wazuh dashboard Docker image
uses: actions/download-artifact@v3
uses: actions/download-artifact@v4
with:
name: docker-artifact-dashboard
- name: Retrieve saved Wazuh manager Docker image
uses: actions/download-artifact@v3
uses: actions/download-artifact@v4
with:
name: docker-artifact-manager
- name: Retrieve saved Wazuh indexer Docker image
uses: actions/download-artifact@v3
uses: actions/download-artifact@v4
with:
name: docker-artifact-indexer
+2 -3
View File
@@ -11,8 +11,7 @@ on:
- published
pull_request:
branches:
- master
- stable
- main
schedule:
- cron: '34 2 * * 1'
workflow_dispatch:
@@ -27,7 +26,7 @@ jobs:
security-events: write # for github/codeql-action/upload-sarif to upload SARIF results
name: Build images and upload Trivy results
runs-on: "ubuntu-latest"
runs-on: "ubuntu-22.04"
steps:
- name: Checkout code
uses: actions/checkout@v3
+2 -3
View File
@@ -11,8 +11,7 @@ on:
- published
pull_request:
branches:
- master
- stable
- main
schedule:
- cron: '34 2 * * 1'
workflow_dispatch:
@@ -27,7 +26,7 @@ jobs:
security-events: write # for github/codeql-action/upload-sarif to upload SARIF results
name: Build images and upload Trivy results
runs-on: "ubuntu-latest"
runs-on: "ubuntu-22.04"
steps:
- name: Checkout code
uses: actions/checkout@v3
+2 -3
View File
@@ -11,8 +11,7 @@ on:
- published
pull_request:
branches:
- master
- stable
- main
schedule:
- cron: '34 2 * * 1'
workflow_dispatch:
@@ -27,7 +26,7 @@ jobs:
security-events: write # for github/codeql-action/upload-sarif to upload SARIF results
name: Build images and upload Trivy results
runs-on: "ubuntu-latest"
runs-on: "ubuntu-22.04"
steps:
- name: Checkout code
uses: actions/checkout@v3
+2 -1
View File
@@ -1,4 +1,5 @@
single-node/config/wazuh_indexer_ssl_certs/*.pem
single-node/config/wazuh_indexer_ssl_certs/*.key
multi-node/config/wazuh_indexer_ssl_certs/*.pem
multi-node/config/wazuh_indexer_ssl_certs/*.key
multi-node/config/wazuh_indexer_ssl_certs/*.key
*.log
+119 -5
View File
@@ -1,11 +1,30 @@
# Change Log
All notable changes to this project will be documented in this file.
## [4.10.2]
## [4.13.0]
### Added
- none
- Added repository_bumper script. ([#1781](https://github.com/wazuh/wazuh-docker/pull/1781))
### Changed
- Modify wazuh-keystore use ([#1750](https://github.com/wazuh/wazuh-docker/pull/1750)) \- (wazuh-keystore)
### Fixed
- None
### Deleted
- Remove default docker reference version from workflow ([#1761](https://github.com/wazuh/wazuh-docker/pull/1761))
- Remove 'stable' branch ocurrencies ([#1757](https://github.com/wazuh/wazuh-docker/pull/1757))
## [4.12.2]
### Added
- None
### Changed
@@ -19,11 +38,103 @@ All notable changes to this project will be documented in this file.
- None
## [4.12.1]
### Added
- None
### Changed
- None
### Fixed
- None
### Deleted
- None
## [4.12.0]
### Added
- None
### Changed
- Change VERSION file format ([#1728](https://github.com/wazuh/wazuh-docker/pull/1728)) \- (VERSION file)
- Change Ubuntu version used in workflows ([#1662](https://github.com/wazuh/wazuh-docker/pull/1662)) \- (Docker workflows)
### Fixed
- Fix permanent data scripts ([#1603](https://github.com/wazuh/wazuh-docker/pull/1603))
### Deleted
- None
## [4.11.2]
### Added
- None
### Changed
- None
### Fixed
- None
### Deleted
- None
## [4.11.1]
### Added
- None
### Changed
- None
### Fixed
- None
### Deleted
- None
## [4.11.0]
### Added
- None
### Changed
- None
### Fixed
- Change the cleaning disk step ([#1663](https://github.com/wazuh/wazuh-docker/pull/1663))
### Deleted
- None
## [4.10.1]
### Added
- none
- None
### Changed
@@ -41,7 +152,9 @@ All notable changes to this project will be documented in this file.
### Added
- Migrate the push docker images procedure to GitHub Actions ([#5651](https://github.com/wazuh/wazuh-qa/issues/5651))
- Improve the push docker images workflow ([#1551](https://github.com/wazuh/wazuh-docker/pull/1551))
- Update the Procedure push docker images workflow file ([#1524](https://github.com/wazuh/wazuh-docker/pull/1524))
- Add the push_docker_images procedure workflow file ([#1518](https://github.com/wazuh/wazuh-docker/pull/1518))
### Changed
@@ -49,7 +162,8 @@ All notable changes to this project will be documented in this file.
### Fixed
- None
- Add unset capabilities. ([#1619](https://github.com/wazuh/wazuh-docker/pull/1619))
- Removed references to module enabling because they are now enabled by default. ([#1416](https://github.com/wazuh/wazuh-docker/pull/1416))
### Deleted
+3 -42
View File
@@ -165,58 +165,19 @@ WAZUH_MONITORING_REPLICAS=0 ##
│   ├── docker-compose.yml
│   ├── generate-indexer-certs.yml
│   └── README.md
└── VERSION
└── VERSION.json
## Branches
* `master` branch contains the latest code, be aware of possible bugs on this branch.
* `stable` branch corresponds to the last Wazuh stable version.
* `main` branch contains the latest code, be aware of possible bugs on this branch.
## Compatibility Matrix
| Wazuh version | ODFE | XPACK |
|---------------|---------|--------|
| v4.10.2 | | |
| v4.10.1 | | |
| v4.10.0 | | |
| v4.9.2 | | |
| v4.9.1 | | |
| v4.9.0 | | |
| v4.8.2 | | |
| v4.8.1 | | |
| v4.8.0 | | |
| v4.7.5 | | |
| v4.7.4 | | |
| v4.7.3 | | |
| v4.7.2 | | |
| v4.7.1 | | |
| v4.7.0 | | |
| v4.6.0 | | |
| v4.5.4 | | |
| v4.5.3 | | |
| v4.5.2 | | |
| v4.5.1 | | |
| v4.5.0 | | |
| v4.4.5 | | |
| v4.4.4 | | |
| v4.4.3 | | |
| v4.4.2 | | |
| v4.4.1 | | |
| v4.4.0 | | |
| v4.3.11 | | |
| v4.3.10 | | |
| v4.3.9 | | |
| v4.3.8 | | |
| v4.3.7 | | |
| v4.3.6 | | |
| v4.3.5 | | |
| v4.3.4 | | |
| v4.3.3 | | |
| v4.3.2 | | |
| v4.3.1 | | |
| v4.3.0 | | |
| v4.3.0+ | N/A | N/A |
| v4.2.7 | 1.13.2 | 7.11.2 |
| v4.2.6 | 1.13.2 | 7.11.2 |
| v4.2.5 | 1.13.2 | 7.11.2 |
-2
View File
@@ -1,2 +0,0 @@
WAZUH-DOCKER_VERSION="4.10.2"
REVISION="41020"
+4
View File
@@ -0,0 +1,4 @@
{
"version": "4.13.0",
"stage": "alpha0"
}
+2 -2
View File
@@ -13,7 +13,7 @@ This script initializes the environment variables needed to build each of the im
The script allows you to build images from other versions of Wazuh, to do this you must use the -v or --version argument:
```
$ build-docker-images/build-images.sh -v 4.10.2
$ build-docker-images/build-images.sh -v 4.13.0
```
To get all the available script options use the -h or --help option:
@@ -26,7 +26,7 @@ Usage: build-docker-images/build-images.sh [OPTIONS]
-d, --dev <ref> [Optional] Set the development stage you want to build, example rc1 or beta1, not used by default.
-f, --filebeat-module <ref> [Optional] Set Filebeat module version. By default 0.4.
-r, --revision <rev> [Optional] Package revision. By default 1
-v, --version <ver> [Optional] Set the Wazuh version should be builded. By default, 4.10.2.
-v, --version <ver> [Optional] Set the Wazuh version should be builded. By default, 4.13.0.
-h, --help Show this help.
```
+4 -9
View File
@@ -1,4 +1,4 @@
WAZUH_IMAGE_VERSION=4.10.2
WAZUH_IMAGE_VERSION=4.13.0
WAZUH_VERSION=$(echo $WAZUH_IMAGE_VERSION | sed -e 's/\.//g')
WAZUH_TAG_REVISION=1
WAZUH_CURRENT_VERSION=$(curl --silent https://api.github.com/repos/wazuh/wazuh/releases/latest | grep '["]tag_name["]:' | sed -E 's/.*\"([^\"]+)\".*/\1/' | cut -c 2- | sed -e 's/\.//g')
@@ -12,7 +12,7 @@ IMAGE_VERSION=${WAZUH_IMAGE_VERSION}
# License (version 2) as published by the FSF - Free Software
# Foundation.
WAZUH_IMAGE_VERSION="4.10.2"
WAZUH_IMAGE_VERSION="4.13.0"
WAZUH_TAG_REVISION="1"
WAZUH_DEV_STAGE=""
FILEBEAT_MODULE_VERSION="0.4"
@@ -53,13 +53,8 @@ build() {
elif curl --output /dev/null --silent --head --fail "https://github.com/wazuh/wazuh/tree/${FILEBEAT_TEMPLATE_BRANCH}"; then
FILEBEAT_TEMPLATE_BRANCH="${FILEBEAT_TEMPLATE_BRANCH}"
else
WAZUH_MASTER_VERSION="$(curl -s https://raw.githubusercontent.com/wazuh/wazuh/master/src/VERSION | sed -e 's/v//g')"
if [ "${FILEBEAT_TEMPLATE_BRANCH}" == "${WAZUH_MASTER_VERSION}" ]; then
FILEBEAT_TEMPLATE_BRANCH="master"
else
echo "The indicated branch does not exist in the wazuh/wazuh repository: ${FILEBEAT_TEMPLATE_BRANCH}"
clean 1
fi
echo "The indicated branch does not exist in the wazuh/wazuh repository: ${FILEBEAT_TEMPLATE_BRANCH}"
clean 1
fi
fi
@@ -21,6 +21,8 @@ RUN mkdir -p $INSTALL_DIR/data/wazuh && chmod -R 775 $INSTALL_DIR/data/wazuh
RUN mkdir -p $INSTALL_DIR/data/wazuh/config && chmod -R 775 $INSTALL_DIR/data/wazuh/config
RUN mkdir -p $INSTALL_DIR/data/wazuh/logs && chmod -R 775 $INSTALL_DIR/data/wazuh/logs
COPY config/wazuh.yml $INSTALL_DIR/data/wazuh/config/
RUN setcap 'cap_net_bind_service=-ep' /usr/share/wazuh-dashboard/node/bin/node
RUN setcap 'cap_net_bind_service=-ep' /usr/share/wazuh-dashboard/node/fallback/bin/node
# Generate certificates
COPY config/config.sh .
@@ -9,8 +9,8 @@ export CONFIG_DIR=${INSTALLATION_DIR}/config
## Variables
CERT_TOOL=wazuh-certs-tool.sh
PACKAGES_URL=https://packages.wazuh.com/4.10/
PACKAGES_DEV_URL=https://packages-dev.wazuh.com/4.10/
PACKAGES_URL=https://packages.wazuh.com/4.13/
PACKAGES_DEV_URL=https://packages-dev.wazuh.com/4.13/
## Check if the cert tool exists in S3 buckets
CERT_TOOL_PACKAGES=$(curl --silent -I $PACKAGES_URL$CERT_TOOL | grep -E "^HTTP" | awk '{print $2}')
@@ -22,8 +22,8 @@ export REPO_DIR=/unattended_installer
## Variables
CERT_TOOL=wazuh-certs-tool.sh
PASSWORD_TOOL=wazuh-passwords-tool.sh
PACKAGES_URL=https://packages.wazuh.com/4.10/
PACKAGES_DEV_URL=https://packages-dev.wazuh.com/4.10/
PACKAGES_URL=https://packages.wazuh.com/4.13/
PACKAGES_DEV_URL=https://packages-dev.wazuh.com/4.13/
## Check if the cert tool exists in S3 buckets
CERT_TOOL_PACKAGES=$(curl --silent -I $PACKAGES_URL$CERT_TOOL | grep -E "^HTTP" | awk '{print $2}')
@@ -47,12 +47,8 @@ mount_permanent_data() {
if find ${permanent_dir} -mindepth 1 | read; then
print "The path ${permanent_dir} is already mounted"
else
if find ${data_tmp} -mindepth 1 | read; then
print "Installing ${permanent_dir}"
exec_cmd "cp -a ${data_tmp}. ${permanent_dir}"
else
print "The path ${permanent_dir} is empty, skipped"
fi
exec_cmd "cp -ar ${data_tmp}. ${permanent_dir}"
fi
done
}
@@ -115,8 +115,8 @@ function_entrypoint_scripts() {
function_configure_vulnerability_detection() {
if [ "$INDEXER_PASSWORD" != "" ]; then
>&2 echo "Configuring password."
/var/ossec/bin/wazuh-keystore -f indexer -k username -v $INDEXER_USERNAME
/var/ossec/bin/wazuh-keystore -f indexer -k password -v $INDEXER_PASSWORD
echo "$INDEXER_USERNAME" | /var/ossec/bin/wazuh-keystore -f indexer -k username
echo "$INDEXER_PASSWORD" | /var/ossec/bin/wazuh-keystore -f indexer -k password
fi
}
@@ -82,6 +82,11 @@ PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/azure/azure-logs.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/azure/db/orm.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/azure/db/utils.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/azure/db/__init__.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/azure/azure_utils.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/azure/azure_services/__init__.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/azure/azure_services/analytics.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/azure/azure_services/graph.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/azure/azure_services/storage.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/docker/DockerListener"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/docker/DockerListener.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/gcloud/gcloud"
@@ -89,6 +94,9 @@ PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/gcloud/gcloud.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/gcloud/integration.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/gcloud/tools.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/gcloud/exceptions.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/gcloud/buckets/bucket.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/gcloud/buckets/access_logs.py"
PERMANENT_DATA_EXCP[((i++))]="/var/ossec/wodles/gcloud/pubsub/subscriber.py"
export PERMANENT_DATA_EXCP
# Files mounted in a volume that should be deleted
@@ -30,11 +30,7 @@ mkdir ${PERMANENT_PATH}
for permanent_dir in "${PERMANENT_DATA[@]}"; do
# Create the directory for the permanent file if it does not exist
DIR=$(dirname "${permanent_dir}")
if [ ! -e ${PERMANENT_PATH}${DIR} ]
then
mkdir -p ${PERMANENT_PATH}${DIR}
fi
mv ${permanent_dir} ${PERMANENT_PATH}${permanent_dir}
mkdir -p ${PERMANENT_PATH}${DIR}
cp -ar ${permanent_dir} ${PERMANENT_PATH}${DIR}
done
+2 -2
View File
@@ -8,8 +8,8 @@
## Variables
CERT_TOOL=wazuh-certs-tool.sh
PASSWORD_TOOL=wazuh-passwords-tool.sh
PACKAGES_URL=https://packages.wazuh.com/4.10/
PACKAGES_DEV_URL=https://packages-dev.wazuh.com/4.10/
PACKAGES_URL=https://packages.wazuh.com/4.13/
PACKAGES_DEV_URL=https://packages-dev.wazuh.com/4.13/
## Check if the cert tool exists in S3 buckets
CERT_TOOL_PACKAGES=$(curl --silent -I $PACKAGES_URL$CERT_TOOL | grep -E "^HTTP" | awk '{print $2}')
+6 -6
View File
@@ -3,7 +3,7 @@ version: '3.7'
services:
wazuh.master:
image: wazuh/wazuh-manager:4.10.2
image: wazuh/wazuh-manager:4.13.0
hostname: wazuh.master
restart: always
ulimits:
@@ -45,7 +45,7 @@ services:
- ./config/wazuh_cluster/wazuh_manager.conf:/wazuh-config-mount/etc/ossec.conf
wazuh.worker:
image: wazuh/wazuh-manager:4.10.2
image: wazuh/wazuh-manager:4.13.0
hostname: wazuh.worker
restart: always
ulimits:
@@ -81,7 +81,7 @@ services:
- ./config/wazuh_cluster/wazuh_worker.conf:/wazuh-config-mount/etc/ossec.conf
wazuh1.indexer:
image: wazuh/wazuh-indexer:4.10.2
image: wazuh/wazuh-indexer:4.13.0
hostname: wazuh1.indexer
restart: always
ports:
@@ -107,7 +107,7 @@ services:
- ./config/wazuh_indexer/internal_users.yml:/usr/share/wazuh-indexer/opensearch-security/internal_users.yml
wazuh2.indexer:
image: wazuh/wazuh-indexer:4.10.2
image: wazuh/wazuh-indexer:4.13.0
hostname: wazuh2.indexer
restart: always
environment:
@@ -129,7 +129,7 @@ services:
- ./config/wazuh_indexer/internal_users.yml:/usr/share/wazuh-indexer/opensearch-security/internal_users.yml
wazuh3.indexer:
image: wazuh/wazuh-indexer:4.10.2
image: wazuh/wazuh-indexer:4.13.0
hostname: wazuh3.indexer
restart: always
environment:
@@ -151,7 +151,7 @@ services:
- ./config/wazuh_indexer/internal_users.yml:/usr/share/wazuh-indexer/opensearch-security/internal_users.yml
wazuh.dashboard:
image: wazuh/wazuh-dashboard:4.10.2
image: wazuh/wazuh-dashboard:4.13.0
hostname: wazuh.dashboard
restart: always
ports:
+3 -3
View File
@@ -3,7 +3,7 @@ version: '3.7'
services:
wazuh.manager:
image: wazuh/wazuh-manager:4.10.2
image: wazuh/wazuh-manager:4.13.0
hostname: wazuh.manager
restart: always
ulimits:
@@ -46,7 +46,7 @@ services:
- ./config/wazuh_cluster/wazuh_manager.conf:/wazuh-config-mount/etc/ossec.conf
wazuh.indexer:
image: wazuh/wazuh-indexer:4.10.2
image: wazuh/wazuh-indexer:4.13.0
hostname: wazuh.indexer
restart: always
ports:
@@ -71,7 +71,7 @@ services:
- ./config/wazuh_indexer/internal_users.yml:/usr/share/wazuh-indexer/opensearch-security/internal_users.yml
wazuh.dashboard:
image: wazuh/wazuh-dashboard:4.10.2
image: wazuh/wazuh-dashboard:4.13.0
hostname: wazuh.dashboard
restart: always
ports:
+150
View File
@@ -0,0 +1,150 @@
#!/bin/bash
# This script is used to update the version of a repository in the specified files.
# It takes a version number as an argument and updates the version in the specified files.
# Usage: ./repository_bumper.sh <version>
# Global variables
DIR=$(dirname "$(pwd)")
LOG_FILE="${DIR}/tools/repository_bumper_$(date +"%Y-%m-%d_%H-%M-%S-%3N").log"
VERSION=""
STAGE=""
FILES_EDITED=()
get_old_version_and_stage() {
local VERSION_FILE="${DIR}/VERSION.json"
OLD_VERSION=$(jq -r '.version' "${VERSION_FILE}")
OLD_STAGE=$(jq -r '.stage' "${VERSION_FILE}")
echo "Old version: ${OLD_VERSION}" | tee -a "${LOG_FILE}"
echo "Old stage: ${OLD_STAGE}" | tee -a "${LOG_FILE}"
}
grep_command() {
# This function is used to search for a specific string in the specified directory.
# It takes two arguments: the string to search for and the directory to search in.
# Usage: grep_command <string> <directory>
eval grep -Rl "${1}" "${2}" --exclude-dir=".git" --exclude="repository_bumper_*.log" --exclude="CHANGELOG.md" "${3}"
}
update_version_in_files() {
local OLD_MAYOR="$(echo "${OLD_VERSION}" | cut -d '.' -f 1)"
local OLD_MINOR="$(echo "${OLD_VERSION}" | cut -d '.' -f 2)"
local OLD_PATCH="$(echo "${OLD_VERSION}" | cut -d '.' -f 3)"
local NEW_MAYOR="$(echo "${VERSION}" | cut -d '.' -f 1)"
local NEW_MINOR="$(echo "${VERSION}" | cut -d '.' -f 2)"
local NEW_PATCH="$(echo "${VERSION}" | cut -d '.' -f 3)"
m_m_p_files=( $(grep_command "${OLD_MAYOR}\.${OLD_MINOR}\.${OLD_PATCH}" "${DIR}") )
for file in "${m_m_p_files[@]}"; do
sed -i "s/\bv${OLD_MAYOR}\.${OLD_MINOR}\.${OLD_PATCH}\b/v${NEW_MAYOR}\.${NEW_MINOR}\.${NEW_PATCH}/g; s/\b${OLD_MAYOR}\.${OLD_MINOR}\.${OLD_PATCH}/${NEW_MAYOR}\.${NEW_MINOR}\.${NEW_PATCH}/g" "${file}"
if [[ $(git diff --name-only "${file}") ]]; then
FILES_EDITED+=("${file}")
fi
done
m_m_files=( $(grep_command "${OLD_MAYOR}\.${OLD_MINOR}" "${DIR}") )
for file in "${m_m_files[@]}"; do
sed -i -E "/[0-9]+\.[0-9]+\.[0-9]+/! s/(^|[^0-9.])(${OLD_MAYOR}\.${OLD_MINOR})([^0-9.]|$)/\1${NEW_MAYOR}.${NEW_MINOR}\3/g" "$file"
if [[ $(git diff --name-only "${file}") ]]; then
FILES_EDITED+=("${file}")
fi
done
m_x_files=( $(grep_command "${OLD_MAYOR}\.x" "${DIR}") )
for file in "${m_x_files[@]}"; do
sed -i "s/\b${OLD_MAYOR}\.x\b/${NEW_MAYOR}\.x/g" "${file}"
if [[ $(git diff --name-only "${file}") ]]; then
FILES_EDITED+=("${file}")
fi
done
if ! sed -i "/^All notable changes to this project will be documented in this file.$/a \\\n## [${VERSION}]\\n\\n### Added\\n\\n- None\\n\\n### Changed\\n\\n- None\\n\\n### Fixed\\n\\n- None\\n\\n### Deleted\\n\\n- None" "${DIR}/CHANGELOG.md"; then
echo "Error: Failed to update CHANGELOG.md" | tee -a "${LOG_FILE}"
fi
if [[ $(git diff --name-only "${DIR}/CHANGELOG.md") ]]; then
FILES_EDITED+=("${DIR}/CHANGELOG.md")
fi
}
update_stage_in_files() {
local OLD_STAGE="$(echo "${OLD_STAGE}")"
files=( $(grep_command "${OLD_STAGE}" "${DIR}" --exclude="README.md") )
for file in "${files[@]}"; do
sed -i "s/${OLD_STAGE}/${STAGE}/g" "${file}"
if [[ $(git diff --name-only "${file}") ]]; then
FILES_EDITED+=("${file}")
fi
done
}
main() {
echo "Starting repository version bumping process..." | tee -a "${LOG_FILE}"
echo "Log file: ${LOG_FILE}"
# Parse arguments
while [[ $# -gt 0 ]]; do
case $1 in
--version)
VERSION="$2"
shift 2
;;
--stage)
STAGE="$2"
shift 2
;;
*)
echo "Unknown argument: $1"
exit 1
;;
esac
done
# Validate arguments
if [[ -z "$VERSION" ]]; then
echo "Error: --version argument is required." | tee -a "${LOG_FILE}"
exit 1
fi
if [[ -z "$STAGE" ]]; then
echo "Error: --stage argument is required." | tee -a "${LOG_FILE}"
exit 1
fi
# Validate if version is in the correct format
if ! [[ "$VERSION" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]]; then
echo "Error: Version must be in the format X.Y.Z (e.g., 1.2.3)." | tee -a "${LOG_FILE}"
exit 1
fi
# Validate if stage is in the correct format
STAGE=$(echo "$STAGE" | tr '[:upper:]' '[:lower:]')
if ! [[ "$STAGE" =~ ^(alpha[0-9]*|beta[0-9]*|rc[0-9]*|stable)$ ]]; then
echo "Error: Stage must be one of the following examples: alpha1, beta1, rc1, stable." | tee -a "${LOG_FILE}"
exit 1
fi
# Get old version and stage
get_old_version_and_stage
if [[ "$OLD_VERSION" == "$VERSION" && "$OLD_STAGE" == "$STAGE" ]]; then
echo "Version and stage are already up to date." | tee -a "${LOG_FILE}"
echo "No changes needed." | tee -a "${LOG_FILE}"
exit 0
fi
if [[ "$OLD_VERSION" != "$VERSION" ]]; then
echo "Updating version from $OLD_VERSION to $VERSION" | tee -a "${LOG_FILE}"
update_version_in_files "$VERSION"
fi
if [[ "$OLD_STAGE" != "$STAGE" ]]; then
echo "Updating stage from $OLD_STAGE to $STAGE" | tee -a "${LOG_FILE}"
update_stage_in_files "$STAGE"
fi
echo "The following files were edited:" | tee -a "${LOG_FILE}"
for file in $(printf "%s\n" "${FILES_EDITED[@]}" | sort -u); do
echo "${file}" | tee -a "${LOG_FILE}"
done
echo "Version and stage updated successfully." | tee -a "${LOG_FILE}"
}
# Call the main method with all arguments
main "$@"